routes/web.php
<?php

use App\Http\Controllers\BookController;
use App\Http\Controllers\SessionController;
use App\Http\Controllers\UsersController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::get('/', [\App\Http\Controllers\CategoryController::class, 'index'])->name('home');


Route::resource('category', \App\Http\Controllers\CategoryController::class);

Route::prefix('auth')->name('auth.')->group(function (){
    Route::get('register', [UsersController::class, 'registerForm'])->name('register-form');
    Route::post('register', [UsersController::class, 'store'])->name('register');

    Route::get('login', [SessionController::class, 'loginForm'])->name('login-form');
    Route::post('login', [SessionController::class, 'store'])->name('login');
    Route::delete('log-out', [SessionController::class, 'destroy'])->name('logout');
    Route::get('my-book', [UsersController::class, 'index'])->name('mybook');
    Route::put('users/', [UsersController::class, 'update'])->name('users');
    Route::get('book/{$book}', [BookController::class, 'edit'])->name('edit');

    Route::resource('book', \App\Http\Controllers\BookController::class);

});

app/Models/Category.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use HasFactory;
    protected $fillable = ['name'];

    public function books()
    {
        return $this->hasMany(Book::class);
    }
}

app/Http/Controllers/CategoryController.php
<?php

namespace App\Http\Controllers;

use App\Models\Book;
use App\Models\Category;
use Illuminate\Http\Request;

class CategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $books = Book::paginate(6);
        $categories = Category::all();
        return view('category.index', compact('books', 'categories'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(Category $category)
    {
        $books = Category::paginate(6)->find($category->id)->books;

        $categories = Category::all();
        return view('category.show', compact('books', 'categories'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Category $category)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Category $category)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Category $category)
    {
        //
    }
}

resources/views/category/index.blade.php
@extends('layout.base')
@section('content')
    <div class="row">
        <h4>Жанры</h4>
        <div class="col-lg-3">
            <a class="btn btn-info w-50 m-2" href="{{route('auth.mybook')}}">Мои книги</a>
            <ul class="text-decoration-none" >
                <li class="text-decoration-none">
                    <a class="btn btn-outline-info w-100 m-1 " href="{{route('category.index')}}">Все</a>
                </li>
            @foreach($categories as $category)
                    <li>
                    <a class="btn btn-outline-info w-100 m-1"  href="{{route('category.show', ['category' => $category])}}">{{$category->name}}</a>

                    </li>
            @endforeach
            </ul>

        </div>
        <div class="col-lg-9">
            <div class="row">
                @foreach($books as $book)
                    <div class="col-lg-4 mt-5">
                        <div class="card" style="width: 18rem;">
                            @if(is_null($book->picture))
                                <img class="card-img-top" src="{{asset('default.jpg')}}" alt="{{'default.jpg'}}">
                            @else
                                <img class="card-img-top" src="{{asset('/storage/' . $book->picture)}}" alt="{{$book->picture}}">
                            @endif
                            <div class="card-body">
                                <h6><i>Автор: </i>{{$book->author}}</h6>
                                <h6><i>Название: </i>{{$book->name}}</h6>
                            </div>
                                @if($book->status)
                                    <ul>
                                        <li>Ожидается</li>
                                    </ul>
                                @else
                                    <ul class="list-group list-group-flush">
                                        <a href="{{route('auth.book.edit',['book' => $book])}}" class="btn btn-outline-primary">Получить</a>
                                    </ul>

                            @endif
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
    <div class="justify-content-md-center p-5">

        <div class="col-md-auto">

            {{ $books->links() }}

        </div>

    </div>
@endsection

resources/views/category/show.blade.php
@extends('layout.base')
@section('content')
    <div class="row">
        <h4>Жанры</h4>
        <div class="col-lg-3">
            <ul>
                <li>
                    <a class="btn btn-outline-info" href="{{route('category.index')}}">Все</a>
                </li>
                @foreach($categories as $category)
                    <li>
                        <a class="btn btn-outline-info" href="{{route('category.show', ['category' => $category])}}">{{$category->name}}</a>

                    </li>
                @endforeach
            </ul>

        </div>
        <div class="col-lg-9">
            <div class="row">
                @foreach($books as $book)
                    <div class="col-lg-4 mt-5">
                        <div class="card" style="width: 18rem;">
                            @if(is_null($book->picture))
                                <img class="card-img-top" src="{{asset('default.jpg')}}" alt="{{'default.jpg'}}">
                            @else
                                <img class="card-img-top" src="{{asset('/storage/' . $book->picture)}}" alt="{{$book->picture}}">
                            @endif
                            <div class="card-body">
                                <h6><i>Автор: </i>{{$book->author}}</h6>
                                <h6><i>Название: </i>{{$book->name}}</h6>
                            </div>
                                @if($book->status)
                                    <ul>
                                        <li>Ожидается</li>
                                    </ul>
                                @else
                                    <ul class="list-group list-group-flush">
                                        <a href="{{route('auth.book.edit',['book' => $book])}}" class="btn btn-outline-primary">Получить</a>
                                    </ul>

                                @endif
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>

@endsection